Bug 782167 - libguestfs doesn't recognize Windows Dynamic disks in some configurations, eg. spanned
libguestfs doesn't recognize Windows Dynamic disks in some configurations, eg...
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Depends On:
  Show dependency treegraph
Reported: 2012-01-16 12:42 EST by Richard W.M. Jones
Modified: 2012-12-11 11:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-11 11:28:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Windows 7 disk management program showing disk layout (79.46 KB, image/png)
2012-01-16 12:42 EST, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-01-16 12:42:03 EST
Created attachment 555562 [details]
Windows 7 disk management program showing disk layout

Description of problem:

I created a Win7 guest that has 3 block devices.  The first (system
disk) is converted to a dynamic disk, and libguestfs can kind of
work out what's on it.  The second two disks are arranged as a
spanned volume (like a VG across 2 PVs), and the kernel doesn't
understand it at all.  [See attached PNG file]

virt-filesystems -d Win7x32Dynamic --all --long -h
Name       Type        VFS      Label            MBR  Size  Parent
/dev/sda1  filesystem  unknown  -                -    992K  -
/dev/sda2  filesystem  ntfs     System Reserved  -    100M  -
/dev/sda3  filesystem  ntfs     -                -    16G   -
/dev/sdb1  filesystem  vfat     -                -    2.0G  -
/dev/sdc1  filesystem  unknown  -                -    2.0G  -
/dev/sda1  partition   -        -                42   992K  /dev/sda
/dev/sda2  partition   -        -                42   100M  /dev/sda
/dev/sda3  partition   -        -                42   16G   /dev/sda
/dev/sdb1  partition   -        -                42   2.0G  /dev/sdb
/dev/sdc1  partition   -        -                42   2.0G  /dev/sdc
/dev/sda   device      -        -                -    16G   -
/dev/sdb   device      -        -                -    2.0G  -
/dev/sdc   device      -        -                -    2.0G  -

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create Win7 guest with 3 block devices.
2. In Disk Management, convert all disks to Dynamic disks.
3. Create a spanned volume across the second and third disks.
Actual results:

System volume can be read, but spanned volume cannot be seen at all.

Expected results:

Should be able to recognize it as a spanned volume.

Additional info:
Comment 1 Richard W.M. Jones 2012-09-12 10:21:28 EDT
Matt has written a library to process these disks:
and at some point in the future we can include it in libguestfs.
Comment 2 Richard W.M. Jones 2012-11-30 10:16:00 EST
Matt, do we need libldm to be incorporated into libguestfs
for RHEL 7 GA?
Comment 3 Matthew Booth 2012-12-03 11:50:05 EST
Comment 4 Richard W.M. Jones 2012-12-11 11:28:30 EST
Fixed upstream with comprehensive new set of APIs.
The fix will appear in libguestfs 1.20.

Note You need to log in before you can comment on or make changes to this bug.